from app.config import logger
from app.models import ConversionRequest, ConversionResponse
from fastapi import APIRouter

convert_router = APIRouter(prefix="/convert", tags=["Convert"])


@convert_router.post("/", response_model=ConversionResponse)
def convert_data(request: ConversionRequest):
    """
    Convert data from a source to normalized JSON
    """
    logger.info(f"Converting {request.source_type} data to normalized JSON")
    # Example conversion logic (replace with actual implementation)
    converted_data = ...

    return {
        "converted_data": converted_data,
        "status": "success",
    }
